/* h1 */
.h1bold{
    font-size: 52px;
    line-height: 64px;
    font-weight: 700;
    font-style: normal;
}
.h1semibold{
    font-size: 52px;
    line-height: 64px;
    font-weight: 600;
    font-style: normal;
}
.h1medium{
    font-size: 52px;
    line-height: 64px;
    font-weight: 500;
    font-style: normal;
}
.h1regular{
    font-size: 52px;
    line-height: 64px;
    font-weight: 400;
    font-style: normal;
}
/* h2 */
.h2bold{
    font-size: 44px;
    line-height: 56px;
    font-weight: 700;
    font-style: normal;
}
.h2semibold{
    font-size: 44px;
    line-height: 56px;
    font-weight: 600;
    font-style: normal;
}
.h2medium{
    font-size: 44px;
    line-height: 56px;
    font-weight: 500;
    font-style: normal;
}
.h2regular{
    font-size: 44px;
    line-height: 56px;
    font-weight: 400;
    font-style: normal;
}
/* h3 */
.h3bold{
    font-size: 40px;
    line-height: 52px;
    font-weight: 700;
    font-style: normal;
}
.h3semibold{
    font-size: 40px;
    line-height: 52px;
    font-weight: 600;
    font-style: normal;
}
.h3medium{
    font-size: 40px;
    line-height: 52px;
    font-weight: 500;
    font-style: normal;
}
.h3regular{
    font-size: 40px;
    line-height: 52px;
    font-weight: 400;
    font-style: normal;
}
/* h4 */
.h4bold{
    font-size:32px;
    line-height: 44px;
    font-weight: 700;
    font-style: normal;
}
.h4semibold{
    font-size:32px;
    line-height: 44px;
    font-weight: 600;
    font-style: normal;
}
.h4medium{
    font-size:32px;
    line-height: 44px;
    font-weight: 500;
    font-style: normal;
}
.h4regular{
    font-size:32px;
    line-height: 44px;
    font-weight: 400;
    font-style: normal;
}
/* h5 */
.h5bold{
    font-size: 24px;
    line-height: 36px;
    font-weight: 700;
    font-style: normal;
}
.h5semibold{
    font-size: 24px;
    line-height: 36px;
    font-weight: 600;
    font-style: normal;
}
.h5medium{
    font-size: 24px;
    line-height: 36px;
    font-weight: 500;
    font-style: normal;
}
.h5regular{
    font-size: 24px;
    line-height: 36px;
    font-weight: 400;
    font-style: normal;
}
/* h6 */
.h6bold{
    font-size: 20px;
    line-height: 32px;
    font-weight: 700;
    font-style: normal;
}
.h6semibold{
    font-size: 20px;
    line-height: 32px;
    font-weight: 600;
    font-style: normal;
}
.h6medium{
    font-size: 20px;
    line-height: 32px;
    font-weight: 500;
    font-style: normal;
}
.h6regular{
    font-size: 20px;
    line-height: 32px;
    font-weight: 400;
    font-style: normal;
}

/* heading styles */
/* xxl */
.display_xxlbold{
    font-size: 32px;
    line-height: 44px;
    font-weight: 700;
    font-style: normal;
}
.display_xxlsemibold{
    font-size: 32px;
    line-height: 44px;
    font-weight: 600;
    font-style: normal;
}
.display_xxlmedium{
    font-size: 32px;
    line-height: 44px;
    font-weight: 500;
    font-style: normal;
}
.display_xxlregular{
    font-size: 32px;
    line-height: 44px;
    font-weight: 400;
    font-style: normal;
}
/* xl */
.display_xlbold{
    font-size: 28px;
    line-height: 40px;
    font-weight: 700;
    font-style: normal;
}
.display_xlsemibold{
    font-size: 28px;
    line-height: 40px;
    font-weight: 600;
    font-style: normal;
}
.display_xlmedium{
    font-size: 28px;
    line-height: 40px;
    font-weight: 500;
    font-style: normal;
}
.display_xlregular{
    font-size: 28px;
    line-height: 40px;
    font-weight: 400;
    font-style: normal;
}
/* xl */
.display_lbold{
    font-size: 24px;
    line-height: 36px;
    font-weight: 700;
    font-style: normal;
}
.display_lsemibold{
    font-size: 24px;
    line-height: 36px;
    font-weight: 600;
    font-style: normal;
}
.display_lmedium{
    font-size: 24px;
    line-height: 36px;
    font-weight: 500;
    font-style: normal;
}
.display_lregular{
    font-size: 24px;
    line-height: 36px;
    font-weight: 400;
    font-style: normal;
}
/* m */
.display_mbold{
    font-size: 20px;
    line-height: 32px;
    font-weight: 700;
    font-style: normal;
}
.display_msemibold{
    font-size: 20px;
    line-height: 32px;
    font-weight: 600;
    font-style: normal;
}
.display_mmedium{
    font-size: 20px;
    line-height: 32px;
    font-weight: 500;
    font-style: normal;
}
.display_mregular{
    font-size: 20px;
    line-height: 32px;
    font-weight: 400;
    font-style: normal;
}
/* s */
.display_sbold{
    font-size: 18px;
    line-height: 28px;
    font-weight: 700;
    font-style: normal;
}
.display_ssemibold{
    font-size: 18px;
    line-height: 28px;
    font-weight: 600;
    font-style: normal;
}
.display_smedium{
    font-size: 18px;
    line-height: 28px;
    font-weight: 500;
    font-style: normal;
}
.display_sregular{
    font-size: 18px;
    line-height: 28px;
    font-weight: 400;
    font-style: normal;
}
/* xs */
.display_xsbold{
    font-size: 16px;
    line-height: 24px;
    font-weight: 700;
    font-style: normal;
}
.display_xssemibold{
    font-size: 16px;
    line-height: 24px;
    font-weight: 600;
    font-style: normal;
}
.display_xsmedium{
    font-size: 16px;
    line-height: 24px;
    font-weight: 500;
    font-style: normal;
}
.display_xsregular{
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    font-style: normal;
}
/* titlestyles */
.title_large_bold{
    font-size: 18px;
    line-height: 28px;
    font-weight: 700;
    font-style: normal;
}
.title_large_semibold{
    font-size: 18px;
    line-height: 28px;
    font-weight: 600;
    font-style: normal;
}
.title_large_medium{
    font-size: 18px;
    line-height: 28px;
    font-weight: 500;
    font-style: normal;
}
.title_large_regular{
    font-size: 18px;
    line-height: 28px;
    font-weight: 400;
    font-style: normal;
    
}
.title_medium_bold{
    font-size: 16px;
    line-height: 24px;
    font-weight: 700;
    font-style: normal;
}
.title_medium_semibold{
    font-size: 16px;
    line-height: 24px;
    font-weight: 600;
    font-style: normal;
}
.title_medium_medium{
    font-size: 16px;
    line-height: 24px;
    font-weight: 500;
    font-style: normal;
}
.title_medium_regular{
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    font-style: normal;
}
/* paragraph styles */
.p_large_bold{
    font-size: 16px;
    line-height: 24px;
    font-weight: 700;
    font-style: normal;
}
.p_large_semibold{
    font-size: 16px;
    line-height: 24px;
    font-weight: 600;
    font-style: normal;
}
.p_large_medium{
    font-size: 16px;
    line-height: 24px;
    font-weight: 500;
    font-style: normal;
}
.p_large_regular{
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    font-style: normal;
}
.p_medium_bold{
    font-size: 14px;
    line-height: 22px;
    font-weight: 700;
    font-style: normal;
}
.p_medium_semibold{
    font-size: 14px;
    line-height: 22px;
    font-weight: 600;
    font-style: normal;
}
.p_medium_medium{
    font-size: 14px;
    line-height: 22px;
    font-weight: 500;
    font-style: normal;
}
.p_medium_regular{
    font-size: 14px;
    line-height: 22px;
    font-weight: 400;
    font-style: normal;
}
.p_small_bold{
    font-size: 12px;
    line-height: 20px;
    font-weight: 700;
    font-style: normal;
}
.p_small_semibold{
    font-size: 12px;
    line-height: 20px;
    font-weight: 600;
    font-style: normal;
}
.p_small_medium{
    font-size: 12px;
    line-height: 20px;
    font-weight: 500;
    font-style: normal;
}
.p_small_regular{
    font-size: 12px;
    line-height: 20px;
    font-weight: 400;
    font-style: normal;
}
/* buton styles */
